Bug 639356 (CVE-2010-3703) - CVE-2010-3703 poppler: use of initialized pointer in PostScriptFunction
Summary: CVE-2010-3703 poppler: use of initialized pointer in PostScriptFunction
Status: CLOSED ERRATA
Alias: CVE-2010-3703
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20100924,repo...
Keywords: Security
Depends On: 639859 639860 639861
Blocks: 638835
TreeView+ depends on / blocked
 
Reported: 2010-10-01 14:30 UTC by Tomas Hoger
Modified: 2015-11-24 14:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-02 18:46:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0859 normal SHIPPED_LIVE Important: poppler security update 2010-11-09 18:14:53 UTC

Description Tomas Hoger 2010-10-01 14:30:00 UTC
poppler git commit bf2055088a corrects a possible use of an uninitialized pointer in PostScriptFunction, which can cause crash or memory corruption.

Upstream git commit:
http://cgit.freedesktop.org/poppler/poppler/commit/?id=bf2055088a3a2d3bb3d3c37d464954ec1a25771f

This problem does not affect xpdf or other applications embedding xpdf code.  It only affects recent poppler versions, not before commit:

http://cgit.freedesktop.org/poppler/poppler/commit/?id=b1d4efb082ac3dadd7752a557e5aeb6651e17471

Reference:
http://secunia.com/advisories/41596/

Comment 2 Huzaifa S. Sidhpurwala 2010-10-04 08:56:22 UTC
Created poppler tracking bugs for this issue

Affects: fedora-all [bug 639861]

Comment 3 errata-xmlrpc 2010-11-10 19:18:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0859 https://rhn.redhat.com/errata/RHSA-2010-0859.html


Note You need to log in before you can comment on or make changes to this bug.